Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back > Forums > Linux Forums > Linux - Hardware
User Name
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?


  Search this Thread
Old 01-27-2003, 08:42 PM   #1
LQ Newbie
Registered: Jan 2003
Posts: 10

Rep: Reputation: 0
Debian HPT370 Raid Works for 2.4.18-bf24 however probs with kern upgrade

Hi all, I am currently using debian woody kernel version 2.4.18-bf24.4 straight off the cd. I have a ABIT KT7A - Raid Mobo with two segate 40Gig drives, using Raid-0

The fresh install from the CD (using the bf24 option (see end for more info)) works well, and raid 0 works with no problems.

However I am wanting upgrade my kernel to 2.4.20 and I am having problems deciding what should go in to my kernel and what should not. I am currently tinkering with it and I have got as far as rebooting to the error message below:

NET4 Unix domain sockets 1.0/SMP for linux NET4.0.
kmod: failed to exec /sbin/modprobe -s -k block-major-114, errno = 2
VFSS: Cannot open root device "7206" or 72:06
Please append a correct "root= boot option
Kernel panic: VFS: Unable to mount root fs on 72:06

I am guessing that there is more than just downloading and rebuilding the new kernel. The most obvjous options required for raid I have enabled in the kernel config.

e.g. the htp370 option

Once finished with the make menuconfig I then run

make dep modules install

and of course lilo

then I reboot, this is where I choose the new kernel from MBR and I get the error
linux hangs at this point

So my question is I guess, what do I need to do to get my new 2.4.20 kernel running like the 2.4.18-bf24.4 version

Thanks for your help

For those of you who are struggling with Raid try installing from the debian 3.0 cd and when you get to the boot: prompt instead of just pressing enter, try typing bf24 and then pressing enter
Old 04-12-2003, 12:24 PM   #2
Sir Wallace
LQ Newbie
Registered: Oct 2002
Location: ITALY
Distribution: RH8
Posts: 13

Rep: Reputation: 0
I've just posted another discussion about hpt370 and kernel 2.4.20... please read it.
I've downloaded the source driver for this controller, make the kernel and compiled the driver, but i don't know how boot whith scsi driver and hd proper recognized...

kernel panic!
cannot find root 'ram0'
(and the sam modprobe problem....)
i hope someone can help us...
All the guide on hpt web page is for red had, mandrake or suse... danm!

I've an abit KT7-RAID, with 3 hd (no raid) in the controller...


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
Questions about upgrade from bf24 to 2.4.18-1-686-smp kernel ExCIA Debian 10 05-06-2005 04:37 PM
HPT370 RAID and RHEL 3.0 AS brianweber4 Linux - Hardware 0 01-17-2005 02:39 PM
HPT370 RAID 0 and kernel upgrade brianweber4 Linux - Newbie 2 09-09-2004 08:32 PM
Can I upgrade RH7.3 to RH9 on an existing HPT370 RAID? Gandalf29 Linux - Newbie 2 05-11-2003 08:37 PM
RH 7.3 w/ HPT370 RAID RHrulz Linux - Hardware 0 07-21-2002 08:49 AM

All times are GMT -5. The time now is 11:28 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration